<mat-form-field class="-mb-5">
  <mat-label>Country</mat-label>
  <input
    type="text"
    matInput
    [formControl]="country"
    [matAutocomplete]="auto" />
</mat-form-field>
<mat-autocomplete #auto="matAutocomplete">
  <mat-option *ngFor="let country of countries$ | async as list" [value]="country">{{
    country
    }}</mat-option>
</mat-autocomplete>
